Skip to content
OpenPostDocs
OpenPostDocs
Diagnostics

Submit a sanitized diagnostic report to this instance

Only the allowlisted diagnostic envelope is accepted. User content, credentials, and request bodies are rejected during validation.

POST/diagnostics/report

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/diagnostics/report" \  -H "Content-Type: application/json" \  -d '{    "error_code": "string",    "operation": "string",    "surface": "browser"  }'
{  "$schema": "https://example.com/api/v1/schemas/SubmitDiagnosticsOutputBody.json",  "accepted": true,  "enabled": true}